%define user    %{name}
Name:           madb
Group:          Networking/Other
Version:        0.6.5
Release:        %mkrel 1
Summary:        Publication of rpm packages on an Internet site
License:        AGPL
Source0:        %{name}-%{version}.tar.xz

BuildArch:      noarch
URL:            https://github.com/manatools/madb

BuildRequires:  python3-devel

Requires:       python3-beautifulsoup4
Requires:       python3-flask
Requires:       python3-gunicorn
Requires:       python3-humanize
Requires:       python3-libdnf5
Requires:       python3-networkx
Requires:       python3-pandas
Requires:       python3-pyvis
Requires:       python3-requests
Requires:       python3-yaml
Requires:       rpmlint-mageia-policy


%description
The application publish data from RPM packages database.
It is accesible by web browser on port 5003.

%package nginx
Summary:        Publication of rpm packages on an Internet site
Group:          Networking/Other
Requires:       nginx
Requires:       madb

%description nginx
The application publish data from RPM packages database.
This package install also the NGINX server.

%prep
%autosetup -p1

%build

%install
mkdir -p %{buildroot}%{_sharedstatedir}/madb/cache
mkdir -p %{buildroot}%{_sharedstatedir}/madb/dnf
# used by pyvis 
mkdir -p %{buildroot}%{_sharedstatedir}/madb/lib/bindings

mkdir -p %{buildroot}%{_sharedstatedir}/madb/madb
mkdir -p %{buildroot}%{_sharedstatedir}/madb/static
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_sysconfdir}/nginx/conf.d
mkdir -p %{buildroot}%{_var}/log/%{name}
install -Dm 644  madb/*.py      %{buildroot}%{_sharedstatedir}/madb/madb/
install -Dm 644  madb/config.py.in   %{buildroot}%{_sharedstatedir}/madb/madb/
install -Dm 644  wsgi.py        %{buildroot}%{_sharedstatedir}/madb/
install -Dm 644  makecache.py        %{buildroot}%{_sharedstatedir}/madb/
cp -R  madb/templates           %{buildroot}%{_sharedstatedir}/madb/madb/
cp -R  madb/static              %{buildroot}%{_sharedstatedir}/madb/madb/
install -Dm 644  system/madb.conf %{buildroot}%{_sysconfdir}/nginx/conf.d/
install -Dm 644  system/madb-cache.service %{buildroot}%{_unitdir}/
install -Dm 644  system/madb-cache.timer %{buildroot}%{_unitdir}/
install -Dm 644  system/gunicorn-madb.service %{buildroot}%{_unitdir}/
install -Dm 644  system/gunicorn-madb.socket %{buildroot}%{_unitdir}/

%files nginx
%{_sysconfdir}/nginx/conf.d/madb.conf

%files
%license LICENSE
%{_sharedstatedir}/madb/madb
%{_sharedstatedir}/madb/wsgi.py
%{_sharedstatedir}/madb/makecache.py
%attr(0755,%{user},%{user}) %{_sharedstatedir}/madb/dnf
%attr(0755,%{user},%{user}) %{_sharedstatedir}/madb/cache
%attr(0755,%{user},%{user}) %{_sharedstatedir}/madb/lib
%attr(0755,%{user},%{user}) %dir %{_var}/log/%{name}
%{_unitdir}/madb-cache.service
%{_unitdir}/madb-cache.timer
%{_unitdir}/gunicorn-madb.service
%{_unitdir}/gunicorn-madb.socket

%pre
%_pre_useradd %{user} /dev/null /bin/false

%post nginx
/bin/systemctl restart nginx.service || :

%post
%_post_service %{name}.service %{name}-cache.service gunicorn-madb.service gunicorn-madb.socket
 
%preun
%_preun_service %{name}.service %{name}-cache.service gunicorn-madb.service gunicorn-madb.socket

%postun
%_postun_userdel %{user}
